<?php
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *                                   ATTENTION!
 * If you see this message in browser (Internet Explorer, Mozilla firefox, etc.)
 * this means that
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */


    require_once 'components/utils/check_utils.php';
    CheckPHPVersion();



    require_once 'database_engine/mysql_engine.php';
    require_once 'components/page.php';
    require_once 'phpgen_settings.php';
    require_once 'authorization.php';

    function GetConnectionOptions()
    {
        $result = GetGlobalConnectionOptions();
        $result['client_encoding'] = 'utf8';
        GetApplication()->GetUserAuthorizationStrategy()->ApplyIdentityToConnectionOptions($result);
        return $result;
    }

    
    ?><?php
    
    ?><?php
    
    class voip_accountPage extends Page
    {
        protected function DoBeforeCreate()
        {
            $this->dataset = new TableDataset(
                new MyConnectionFactory(),
                GetConnectionOptions(),
                '`voip_account`');
            $field = new IntegerField('id');
            $this->dataset->AddField($field, true);
            $field = new StringField('loginid');
            $this->dataset->AddField($field, false);
            $field = new StringField('authlogin');
            $this->dataset->AddField($field, false);
            $field = new StringField('loginpwd');
            $this->dataset->AddField($field, false);
            $field = new StringField('displayname');
            $this->dataset->AddField($field, false);
            $field = new StringField('accountdomain');
            $this->dataset->AddField($field, false);
            $field = new StringField('sipproxy');
            $this->dataset->AddField($field, false);
            $field = new IntegerField('listenport');
            $this->dataset->AddField($field, false);
        }
    
        protected function CreatePageNavigator()
        {
            $result = new CompositePageNavigator($this);
            
            $partitionNavigator = new PageNavigator('pnav', $this, $this->dataset);
            $partitionNavigator->SetRowsPerPage(30);
            $result->AddPageNavigator($partitionNavigator);
            
            return $result;
        }
    
        public function GetPageList()
        {
            $currentPageCaption = $this->GetShortCaption();
            $result = new PageList();
            if (GetCurrentUserGrantForDataSource('alarms')->HasViewGrant())
                $result->AddPage(new PageLink($this->RenderText('Alarms'), 'index.php', $this->RenderText('Alarms'), $currentPageCaption == $this->RenderText('Alarms')));
            if (GetCurrentUserGrantForDataSource('answered_alarms')->HasViewGrant())
                $result->AddPage(new PageLink($this->RenderText('Answered Alarms'), 'answered_alarms.php', $this->RenderText('Answered Alarms'), $currentPageCaption == $this->RenderText('Answered Alarms')));
            if (GetCurrentUserGrantForDataSource('unsuccessful_alarms')->HasViewGrant())
                $result->AddPage(new PageLink($this->RenderText('Unsuccessful Alarms'), 'unsuccessful_alarms.php', $this->RenderText('Unsuccessful Alarms'), $currentPageCaption == $this->RenderText('Unsuccessful Alarms')));
            if (GetCurrentUserGrantForDataSource('langs')->HasViewGrant())
                $result->AddPage(new PageLink($this->RenderText('Langs'), 'langs.php', $this->RenderText('Langs'), $currentPageCaption == $this->RenderText('Langs')));
            if (GetCurrentUserGrantForDataSource('voip_account')->HasViewGrant())
                $result->AddPage(new PageLink($this->RenderText('Voip Account'), 'voip_account.php', $this->RenderText('Voip Account'), $currentPageCaption == $this->RenderText('Voip Account')));
            if (GetCurrentUserGrantForDataSource('settings')->HasViewGrant())
                $result->AddPage(new PageLink($this->RenderText('Settings'), 'settings.php', $this->RenderText('Settings'), $currentPageCaption == $this->RenderText('Settings')));
            if (GetCurrentUserGrantForDataSource('users')->HasViewGrant())
                $result->AddPage(new PageLink($this->RenderText('Users'), 'users.php', $this->RenderText('Users'), $currentPageCaption == $this->RenderText('Users')));
            
            if ( HasAdminPage() && GetApplication()->HasAdminGrantForCurrentUser() )
              $result->AddPage(new PageLink($this->RenderText('Admin page'), 'phpgen_admin.php', 'Admin page', false, true));
            return $result;
        }
    
        protected function CreateRssGenerator()
        {
            return null;
        }
    
        protected function CreateGridSearchControl($grid)
        {
            $grid->UseFilter = false;
    
        }
    
        protected function CreateGridAdvancedSearchControl($grid)
        {
    
        }
    
        protected function AddOperationsColumns($grid)
        {
            $actionsBandName = 'actions';
            $grid->AddBandToBegin($actionsBandName, $this->GetLocalizerCaptions()->GetMessageString('Actions'), true);
            if ($this->GetSecurityInfo()->HasViewGrant())
            {
                $column = $grid->AddViewColumn(new RowOperationByLinkColumn($this->GetLocalizerCaptions()->GetMessageString('View'), OPERATION_VIEW, $this->dataset), $actionsBandName);
                $column->SetImagePath('images/view_action.png');
            }
            if ($this->GetSecurityInfo()->HasEditGrant())
            {
                $column = $grid->AddViewColumn(new RowOperationByLinkColumn($this->GetLocalizerCaptions()->GetMessageString('Edit'), OPERATION_EDIT, $this->dataset), $actionsBandName);
                $column->SetImagePath('images/edit_action.png');
                $column->OnShow->AddListener('ShowEditButtonHandler', $this);
            }
        }
    
        protected function AddFieldColumns($grid)
        {
            //
            // View column for loginid field
            //
            $column = new TextViewColumn('loginid', 'Login ID', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(75);
            $column->SetFullTextWindowHandlerName('loginid_handler');
            $column->SetDescription($this->RenderText(''));
            $column->SetFixedWidth(null);
            $grid->AddViewColumn($column);
            
            //
            // View column for authlogin field
            //
            $column = new TextViewColumn('authlogin', 'Authlogin', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(75);
            $column->SetFullTextWindowHandlerName('authlogin_handler');
            $column->SetDescription($this->RenderText(''));
            $column->SetFixedWidth(null);
            $grid->AddViewColumn($column);
            
            //
            // View column for loginpwd field
            //
            $column = new TextViewColumn('loginpwd', 'Password', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(75);
            $column->SetFullTextWindowHandlerName('loginpwd_handler');
            $column->SetDescription($this->RenderText(''));
            $column->SetFixedWidth(null);
            $grid->AddViewColumn($column);
            
            //
            // View column for displayname field
            //
            $column = new TextViewColumn('displayname', 'Display Name', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(75);
            $column->SetFullTextWindowHandlerName('displayname_handler');
            $column->SetDescription($this->RenderText(''));
            $column->SetFixedWidth(null);
            $grid->AddViewColumn($column);
            
            //
            // View column for accountdomain field
            //
            $column = new TextViewColumn('accountdomain', 'Account Domain', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(75);
            $column->SetFullTextWindowHandlerName('accountdomain_handler');
            $column->SetDescription($this->RenderText(''));
            $column->SetFixedWidth(null);
            $grid->AddViewColumn($column);
            
            //
            // View column for sipproxy field
            //
            $column = new TextViewColumn('sipproxy', 'Sip Proxy', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(75);
            $column->SetFullTextWindowHandlerName('sipproxy_handler');
            $column->SetDescription($this->RenderText(''));
            $column->SetFixedWidth(null);
            $grid->AddViewColumn($column);
            
            //
            // View column for listenport field
            //
            $column = new TextViewColumn('listenport', 'Listen Port', $this->dataset);
            $column->SetOrderable(true);
            $column->SetDescription($this->RenderText(''));
            $column->SetFixedWidth(null);
            $grid->AddViewColumn($column);
        }
    
        protected function AddSingleRecordViewColumns($grid)
        {
            //
            // View column for loginid field
            //
            $column = new TextViewColumn('loginid', 'Login ID', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(75);
            $column->SetFullTextWindowHandlerName('loginid_handler');
            $grid->AddSingleRecordViewColumn($column);
            
            //
            // View column for authlogin field
            //
            $column = new TextViewColumn('authlogin', 'Authlogin', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(75);
            $column->SetFullTextWindowHandlerName('authlogin_handler');
            $grid->AddSingleRecordViewColumn($column);
            
            //
            // View column for loginpwd field
            //
            $column = new TextViewColumn('loginpwd', 'Password', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(75);
            $column->SetFullTextWindowHandlerName('loginpwd_handler');
            $grid->AddSingleRecordViewColumn($column);
            
            //
            // View column for displayname field
            //
            $column = new TextViewColumn('displayname', 'Display Name', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(75);
            $column->SetFullTextWindowHandlerName('displayname_handler');
            $grid->AddSingleRecordViewColumn($column);
            
            //
            // View column for accountdomain field
            //
            $column = new TextViewColumn('accountdomain', 'Account Domain', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(75);
            $column->SetFullTextWindowHandlerName('accountdomain_handler');
            $grid->AddSingleRecordViewColumn($column);
            
            //
            // View column for sipproxy field
            //
            $column = new TextViewColumn('sipproxy', 'Sip Proxy', $this->dataset);
            $column->SetOrderable(true);
            $column->SetMaxLength(75);
            $column->SetFullTextWindowHandlerName('sipproxy_handler');
            $grid->AddSingleRecordViewColumn($column);
            
            //
            // View column for listenport field
            //
            $column = new TextViewColumn('listenport', 'Listen Port', $this->dataset);
            $column->SetOrderable(true);
            $grid->AddSingleRecordViewColumn($column);
        }
    
        protected function AddEditColumns($grid)
        {
            //
            // Edit column for loginid field
            //
            $editor = new TextEdit('loginid_edit');
            $editColumn = new CustomEditColumn('Login ID', 'loginid', $editor, $this->dataset);
            $validator = new RequiredValidator(StringUtils::Format($this->GetLocalizerCaptions()->GetMessageString('RequiredValidationMessage'), $this->RenderText($editColumn->GetCaption())));
            $editor->GetValidatorCollection()->AddValidator($validator);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddEditColumn($editColumn);
            
            //
            // Edit column for authlogin field
            //
            $editor = new TextEdit('authlogin_edit');
            $editColumn = new CustomEditColumn('Authlogin', 'authlogin', $editor, $this->dataset);
            $validator = new RequiredValidator(StringUtils::Format($this->GetLocalizerCaptions()->GetMessageString('RequiredValidationMessage'), $this->RenderText($editColumn->GetCaption())));
            $editor->GetValidatorCollection()->AddValidator($validator);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddEditColumn($editColumn);
            
            //
            // Edit column for loginpwd field
            //
            $editor = new TextEdit('loginpwd_edit');
            $editColumn = new CustomEditColumn('Password', 'loginpwd', $editor, $this->dataset);
            $validator = new RequiredValidator(StringUtils::Format($this->GetLocalizerCaptions()->GetMessageString('RequiredValidationMessage'), $this->RenderText($editColumn->GetCaption())));
            $editor->GetValidatorCollection()->AddValidator($validator);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddEditColumn($editColumn);
            
            //
            // Edit column for displayname field
            //
            $editor = new TextEdit('displayname_edit');
            $editColumn = new CustomEditColumn('Display Name', 'displayname', $editor, $this->dataset);
            $validator = new RequiredValidator(StringUtils::Format($this->GetLocalizerCaptions()->GetMessageString('RequiredValidationMessage'), $this->RenderText($editColumn->GetCaption())));
            $editor->GetValidatorCollection()->AddValidator($validator);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddEditColumn($editColumn);
            
            //
            // Edit column for accountdomain field
            //
            $editor = new TextEdit('accountdomain_edit');
            $editColumn = new CustomEditColumn('Account Domain', 'accountdomain', $editor, $this->dataset);
            $validator = new RequiredValidator(StringUtils::Format($this->GetLocalizerCaptions()->GetMessageString('RequiredValidationMessage'), $this->RenderText($editColumn->GetCaption())));
            $editor->GetValidatorCollection()->AddValidator($validator);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddEditColumn($editColumn);
            
            //
            // Edit column for sipproxy field
            //
            $editor = new TextEdit('sipproxy_edit');
            $editColumn = new CustomEditColumn('Sip Proxy', 'sipproxy', $editor, $this->dataset);
            $validator = new RequiredValidator(StringUtils::Format($this->GetLocalizerCaptions()->GetMessageString('RequiredValidationMessage'), $this->RenderText($editColumn->GetCaption())));
            $editor->GetValidatorCollection()->AddValidator($validator);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddEditColumn($editColumn);
            
            //
            // Edit column for listenport field
            //
            $editor = new TextEdit('listenport_edit');
            $editColumn = new CustomEditColumn('Listen Port', 'listenport', $editor, $this->dataset);
            $validator = new RequiredValidator(StringUtils::Format($this->GetLocalizerCaptions()->GetMessageString('RequiredValidationMessage'), $this->RenderText($editColumn->GetCaption())));
            $editor->GetValidatorCollection()->AddValidator($validator);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddEditColumn($editColumn);
        }
    
        protected function AddInsertColumns($grid)
        {
            //
            // Edit column for loginid field
            //
            $editor = new TextEdit('loginid_edit');
            $editColumn = new CustomEditColumn('Login ID', 'loginid', $editor, $this->dataset);
            $validator = new RequiredValidator(StringUtils::Format($this->GetLocalizerCaptions()->GetMessageString('RequiredValidationMessage'), $this->RenderText($editColumn->GetCaption())));
            $editor->GetValidatorCollection()->AddValidator($validator);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddInsertColumn($editColumn);
            
            //
            // Edit column for authlogin field
            //
            $editor = new TextEdit('authlogin_edit');
            $editColumn = new CustomEditColumn('Authlogin', 'authlogin', $editor, $this->dataset);
            $validator = new RequiredValidator(StringUtils::Format($this->GetLocalizerCaptions()->GetMessageString('RequiredValidationMessage'), $this->RenderText($editColumn->GetCaption())));
            $editor->GetValidatorCollection()->AddValidator($validator);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddInsertColumn($editColumn);
            
            //
            // Edit column for loginpwd field
            //
            $editor = new TextEdit('loginpwd_edit');
            $editColumn = new CustomEditColumn('Password', 'loginpwd', $editor, $this->dataset);
            $validator = new RequiredValidator(StringUtils::Format($this->GetLocalizerCaptions()->GetMessageString('RequiredValidationMessage'), $this->RenderText($editColumn->GetCaption())));
            $editor->GetValidatorCollection()->AddValidator($validator);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddInsertColumn($editColumn);
            
            //
            // Edit column for displayname field
            //
            $editor = new TextEdit('displayname_edit');
            $editColumn = new CustomEditColumn('Display Name', 'displayname', $editor, $this->dataset);
            $validator = new RequiredValidator(StringUtils::Format($this->GetLocalizerCaptions()->GetMessageString('RequiredValidationMessage'), $this->RenderText($editColumn->GetCaption())));
            $editor->GetValidatorCollection()->AddValidator($validator);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddInsertColumn($editColumn);
            
            //
            // Edit column for accountdomain field
            //
            $editor = new TextEdit('accountdomain_edit');
            $editColumn = new CustomEditColumn('Account Domain', 'accountdomain', $editor, $this->dataset);
            $validator = new RequiredValidator(StringUtils::Format($this->GetLocalizerCaptions()->GetMessageString('RequiredValidationMessage'), $this->RenderText($editColumn->GetCaption())));
            $editor->GetValidatorCollection()->AddValidator($validator);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddInsertColumn($editColumn);
            
            //
            // Edit column for sipproxy field
            //
            $editor = new TextEdit('sipproxy_edit');
            $editColumn = new CustomEditColumn('Sip Proxy', 'sipproxy', $editor, $this->dataset);
            $validator = new RequiredValidator(StringUtils::Format($this->GetLocalizerCaptions()->GetMessageString('RequiredValidationMessage'), $this->RenderText($editColumn->GetCaption())));
            $editor->GetValidatorCollection()->AddValidator($validator);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddInsertColumn($editColumn);
            
            //
            // Edit column for listenport field
            //
            $editor = new TextEdit('listenport_edit');
            $editColumn = new CustomEditColumn('Listen Port', 'listenport', $editor, $this->dataset);
            $editColumn->SetAllowSetToDefault(true);
            $editColumn->SetInsertDefaultValue($this->RenderText('5080'));
            $validator = new RequiredValidator(StringUtils::Format($this->GetLocalizerCaptions()->GetMessageString('RequiredValidationMessage'), $this->RenderText($editColumn->GetCaption())));
            $editor->GetValidatorCollection()->AddValidator($validator);
            $this->ApplyCommonColumnEditProperties($editColumn);
            $grid->AddInsertColumn($editColumn);
            if ($this->GetSecurityInfo()->HasAddGrant())
            {
                $grid->SetShowAddButton(false);
                $grid->SetShowInlineAddButton(false);
            }
            else
            {
                $grid->SetShowInlineAddButton(false);
                $grid->SetShowAddButton(false);
            }
        }
    
        protected function AddPrintColumns($grid)
        {
    
        }
    
        protected function AddExportColumns($grid)
        {
    
        }
    
        public function GetPageDirection()
        {
            return null;
        }
    
        protected function ApplyCommonColumnEditProperties($column)
        {
            $column->SetShowSetToNullCheckBox(true);
    	$column->SetVariableContainer($this->GetColumnVariableContainer());
        }
    
        function GetCustomClientScript()
        {
            return ;
        }
        
        function GetOnPageLoadedClientScript()
        {
            return ;
        }
        public function ShowEditButtonHandler($show)
        {
            if ($this->GetRecordPermission() != null)
                $show = $this->GetRecordPermission()->HasEditGrant($this->GetDataset());
        }
    
        protected function CreateGrid()
        {
            $result = new Grid($this, $this->dataset, 'voip_accountGrid');
            if ($this->GetSecurityInfo()->HasDeleteGrant())
               $result->SetAllowDeleteSelected(false);
            else
               $result->SetAllowDeleteSelected(false);   
            
            ApplyCommonPageSettings($this, $result);
            
            $result->SetUseImagesForActions(true);
            $result->SetUseFixedHeader(false);
            
            $result->SetShowLineNumbers(false);
            
            $result->SetHighlightRowAtHover(true);
            $result->SetWidth('');
            $this->CreateGridSearchControl($result);
            $this->CreateGridAdvancedSearchControl($result);
            $this->AddOperationsColumns($result);
            $this->AddFieldColumns($result);
            $this->AddSingleRecordViewColumns($result);
            $this->AddEditColumns($result);
            $this->AddInsertColumns($result);
            $this->AddPrintColumns($result);
            $this->AddExportColumns($result);
    
            $this->SetShowPageList(true);
            $this->SetExportToExcelAvailable(false);
            $this->SetExportToWordAvailable(false);
            $this->SetExportToXmlAvailable(false);
            $this->SetExportToCsvAvailable(false);
            $this->SetExportToPdfAvailable(false);
            $this->SetPrinterFriendlyAvailable(false);
            $this->SetSimpleSearchAvailable(false);
            $this->SetAdvancedSearchAvailable(false);
            $this->SetVisualEffectsEnabled(true);
            $this->SetShowTopPageNavigator(true);
            $this->SetShowBottomPageNavigator(true);
    
            //
            // Http Handlers
            //
            //
            // View column for loginid field
            //
            $column = new TextViewColumn('loginid', 'Login ID', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'loginid_handler', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            //
            // View column for authlogin field
            //
            $column = new TextViewColumn('authlogin', 'Authlogin', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'authlogin_handler', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            //
            // View column for loginpwd field
            //
            $column = new TextViewColumn('loginpwd', 'Password', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'loginpwd_handler', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            //
            // View column for displayname field
            //
            $column = new TextViewColumn('displayname', 'Display Name', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'displayname_handler', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            //
            // View column for accountdomain field
            //
            $column = new TextViewColumn('accountdomain', 'Account Domain', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'accountdomain_handler', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            //
            // View column for sipproxy field
            //
            $column = new TextViewColumn('sipproxy', 'Sip Proxy', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'sipproxy_handler', $column);
            GetApplication()->RegisterHTTPHandler($handler);//
            // View column for loginid field
            //
            $column = new TextViewColumn('loginid', 'Login ID', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'loginid_handler', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            //
            // View column for authlogin field
            //
            $column = new TextViewColumn('authlogin', 'Authlogin', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'authlogin_handler', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            //
            // View column for loginpwd field
            //
            $column = new TextViewColumn('loginpwd', 'Password', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'loginpwd_handler', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            //
            // View column for displayname field
            //
            $column = new TextViewColumn('displayname', 'Display Name', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'displayname_handler', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            //
            // View column for accountdomain field
            //
            $column = new TextViewColumn('accountdomain', 'Account Domain', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'accountdomain_handler', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            //
            // View column for sipproxy field
            //
            $column = new TextViewColumn('sipproxy', 'Sip Proxy', $this->dataset);
            $column->SetOrderable(true);
            $handler = new ShowTextBlobHandler($this->dataset, $this, 'sipproxy_handler', $column);
            GetApplication()->RegisterHTTPHandler($handler);
            return $result;
        }
        
        protected function OpenAdvancedSearchByDefault()
        {
            return false;
        }
    
        protected function DoGetGridHeader()
        {
            return '';
        }
    }

    SetUpUserAuthorization(GetApplication());

    try
    {
        $Page = new voip_accountPage("voip_account.php", "voip_account", GetCurrentUserGrantForDataSource("voip_account"), 'UTF-8');
        $Page->SetShortCaption('Voip Account');
        $Page->SetHeader(GetPagesHeader());
        $Page->SetFooter(GetPagesFooter());
        $Page->SetCaption('Voip Account');
        $Page->SetRecordPermission(GetCurrentUserRecordPermissionsForDataSource("voip_account"));

        GetApplication()->SetMainPage($Page);
        GetApplication()->Run();
    }
    catch(Exception $e)
    {
        ShowErrorPage($e->getMessage());
    }

?>
